.TH HG REVERT  "" "" ""
.SH NAME
hg revert \- restore files to their checkout state
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg revert [OPTION]... [\-r REV] [NAME]...
.ft P
.fi
.SH DESCRIPTION
.IP Note
.
To check out earlier revisions, you should use \%\fBhg update REV\fP\:.
To cancel an uncommitted merge (and lose your changes),
use \%\fBhg merge \-\-abort\fP\:.
.RE
.sp
With no revision specified, revert the specified files or directories
to the contents they had in the parent of the working directory.
This restores the contents of files to an unmodified
state and unschedules adds, removes, copies, and renames. If the
working directory has two parents, you must explicitly specify a
revision.
.sp
Using the \-r/\-\-rev or \-d/\-\-date options, revert the given files or
directories to their states as of a specific revision. Because
revert does not change the working directory parents, this will
cause these files to appear modified. This can be helpful to "back
out" some or all of an earlier change. See \%\fBhg backout\fP\: for a
related method.
.sp
Modified files are saved with a .orig suffix before reverting.
To disable these backups, use \-\-no\-backup. It is possible to store
the backup files in a custom directory relative to the root of the
repository by setting the \fBui.origbackuppath\fP configuration
option.
.sp
See \%\fBhg help dates\fP\: for a list of formats valid for \-d/\-\-date.
.sp
See \%\fBhg help backout\fP\: for a way to reverse the effect of an
earlier changeset.
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-a,  \-\-all
.
revert all changes when no arguments given
.TP
.BI \-d,  \-\-date \ <DATE>
.
tipmost revision matching date
.TP
.BI \-r,  \-\-rev \ <REV>
.
revert to the specified revision
.TP
.B \-C,  \-\-no\-backup
.
do not save backup copies of files
.TP
.B \-i,  \-\-interactive
.
interactively select the changes
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.B \-n,  \-\-dry\-run
.
do not perform actions, just print output
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
